package com.kiisoo.ic.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.kiisoo.ic.system.entity.PrivilageUserDO;

/**
 * 用户表  服务类
 * @author jinchaofan
 * @since 2020-02-19
 */
public interface PrivilageUserService extends IService<PrivilageUserDO> {

    /**
     * 新增用户
     * @param userName 用户名
     * @return 用户主键id
     */
    Long insertUser(String userName);

    /**
     * 删除用户
     * @param userId 用户id
     */
    void removeUser(Long userId);

    /**
     * 保存用户和店铺关系
     * @param userId 用户id
     * @param shopId 店铺id
     */
    void saveUserShopRelation(Long userId,String staffCode, Long shopId,Long type);

    /**
     * 删除用户店铺关系
     * @param userId 用户id
     */
    void removeUserShopRelation(Long userId);

    PrivilageUserDO selectById(Long userId);

    /**
     * 添加用户
     * @return
     */
    Long  addUser(PrivilageUserDO privilageUserDO);

}
